Docs

Forms

PUT

Update Form

PUT /v1/forms/{formId}

Update an existing form's configuration (DRAFT forms only).

Use Cases:

  • Update fieldMapping (contact property mappings)
  • Update the fieldMapping (contact property mappings)
  • Update form name, description, or settings
  • Configure SEO metadata

Behavior:

  • Only DRAFT forms can be updated
  • PUBLISHED and ARCHIVED forms are immutable
  • To update published forms, create a new version first
  • All fields are optional (partial updates supported)
  • If fieldMapping changes and form has deployed HTML, cross-validation runs automatically

Required Scope: write:forms

Updatable Fields (DRAFT only):

  • name (internal identifier)
  • description (form purpose)
  • fieldMapping (field name to contact property mapping)
  • settings (success action, double opt-in)
  • SEO fields (seoTitle, seoDescription, seoImageUrl, seoFaviconUrl, slug)

Update Workflow for Published Forms:

  1. Create new version: POST /v1/forms/{formId}/versions
  2. Update the new DRAFT version: PUT /v1/forms/{newVersionId}
  3. Publish the updated version: POST /v1/forms/{newVersionId}/publish
  4. Previous published version automatically becomes ARCHIVED

Note: For published forms, create a new version instead of updating directly.

Path parameters

formIdstringrequired

Form ID

Bodyrequired

namestring
Min length: 1Max length: 200
descriptionany
type"SIGN_UP" | "SURVEY"
display"POPUP" | "INLINE_EMBED"
fieldMappingobject
settingsobject
doubleOptInEmailIdany
seoTitleany
seoDescriptionany
seoImageUrlany
seoFaviconUrlany
slugany

Response

200Form updated successfully with refreshed updatedAt timestamp. Form remains in DRAFT status.
objectstringrequired
idstringrequired

Unique form identifier

Copyright © 2026 Kibamail.·Privacy Policy